- Qt 5.15
- Qt Sensors
- C++ Classes
- QRotationSensor
- Qt 5.15.18 Reference Documentation

# QRotationSensor Class

The QRotationSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QRotationSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Properties

- hasZ : const bool

## Public Functions

| QRotationSensor(QObject *parent = Q_NULLPTR)
virtual | ~QRotationSensor()
bool | hasZ() const
QRotationReading * | reading() const
void | setHasZ(bool hasZ)

## Signals

void | hasZChanged(bool hasZ)

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QRotationReading instead of a QSensorReading.

For details about how the sensor works, see QRotationReading.

See also QRotationReading.

## Property Documentation

### hasZ : const bool

This property holds a value indicating if the z angle is available.

Returns true if z is available. Returns false if z is not available.

Access functions:

bool | hasZ() const

Notifier signal:

void | hasZChanged(bool hasZ)

## Member Function Documentation

### QRotationSensor::QRotationSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QRotationSensor::~QRotationSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QRotationReading *QRotationSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().

### void QRotationSensor::setHasZ(bool hasZ)

Sets whether the z angle is available to hasZ. This is to be called from the backend. By default the hasZ property is true, so a backend only has to call this if its rotation sensor can not report z angles.

This function was introduced in Qt 5.1.

See also hasZ().